﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using PartialView.Models;

namespace PartialView.Controllers
{
    public class PartialViewController : Controller
    {
        // GET: PartialView
        StudentPV student = new StudentPV("Ram", 20, new AddressPV(150, "Naples Street"), new MarksPV[] { new MarksPV("Maths", 90), new MarksPV("Science", 80), new MarksPV("Physics", 95) });

        public ActionResult Index()
        {
            return View(student);
        }

        [HttpPost]
        [ActionName("Index")]
        public ActionResult Index_Post(string marks)
        {
            if (marks != "All")
                student.marks = student.marks.Where(x => x.subject == marks).ToArray();
            ViewBag.Selection = marks;
            return View(student);
        }

        public ActionResult GetMarks(string subject)
        {
            if (subject != "All")
                student.marks = student.marks.Where(x => x.subject == subject).ToArray();
            return PartialView("Marks", student.marks);
        }
    }
}